> ## Documentation Index > Fetch the complete documentation index at: https://documents.revenova.com/llms.txt > Use this file to discover all available pages before exploring further. # Accepts Inbound EDI Events > POST endpoint for accepting inbound EDI Events, with mixed EDI codes and payloads. Send 0 to 200 events per request, with up to 100 events guaranteed to process in-order for the same shipmentId. ## OpenAPI ````json POST /services/apexrest/rtms/ediService { "openapi": "3.0.4", "info": { "title": "Revenova TMS EDI API", "version": "TMS Winter 26 - 7.22", "contact": { "name": "Revenova, LLC", "email": "help@revenova.com" } }, "servers": [ { "url": "https://{client_base_url}.my.salesforce.com", "description": "Salesforce org URL for the client", "variables": { "client_base_url": { "default": "client_base_url" } } } ], "paths": { "/services/apexrest/rtms/ediService": { "post": { "summary": "Accepts Inbound EDI Events", "description": "POST endpoint for accepting inbound EDI Events, with mixed EDI codes and payloads. Send 0 to 200 events per request, with up to 100 events guaranteed to process in-order for the same shipmentId.", "tags": [ "EDI" ], "security": [ { "OAuth2ClientCredentials": [] } ], "operationId": "processInboundEDI", "requestBody": { "content": { "application/json": { "schema": { "type": "array", "description": "A list of Inbound EDI Events.\n", "maxItems": 200, "items": { "type": "object", "description": "An Inbound EDI Event with EDI code and payload.", "required": [ "ediCode", "payload" ], "properties": { "ediCode": { "$ref": "#/components/schemas/ediCode" }, "inbound": { "type": "boolean", "example": true }, "payload": { "oneOf": [ { "$ref": "#/components/schemas/inboundEdi204" }, { "$ref": "#/components/schemas/inboundEdi990" }, { "$ref": "#/components/schemas/inboundEdi214" }, { "$ref": "#/components/schemas/inboundEdi210" } ], "discriminator": { "propertyName": "ediCode", "mapping": { "204": "#/components/schemas/inboundEdi204", "210": "#/components/schemas/inboundEdi210", "214": "#/components/schemas/inboundEdi214", "322": "#/components/schemas/inboundEdi214", "404": "#/components/schemas/inboundEdi204", "410": "#/components/schemas/inboundEdi210", "824": "#/components/schemas/inboundEdi990", "990": "#/components/schemas/inboundEdi990", "998": "#/components/schemas/inboundEdi204" } } } } } }, "examples": { "204 (Maximal - Original)": { "value": [ { "inbound": true, "ediCode": 204, "payload": { "tradingPartnerId": "KLIQA", "totalCharge": 5500, "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "timeZone": "LT", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "stops": [ { "stopType": "pickup", "stopNum": 1, "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "VALUE", "type": "STOP", "text": "Text" }, { "value": "2024-04-25", "type": "AD", "text": "Arrival Date" }, { "value": "2024-04-25", "type": "DD", "text": "Departure Date" }, { "value": "716263587126", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/26/2025", "contacts": [ { "Phone": "555-555-5555", "Fax": "666-666-6666", "Email": "fwheaton@trucking.com", "ContactName": "Felicia Wheaton" } ], "company": { "zip": "12345", "state": "MN", "country": "US", "companyName": "Test Company 1", "city": "Smalltown", "addr": "123 Test Street" }, "apptRequired": false }, { "stopType": "dropoff", "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "980938459", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/28/2025", "contacts": [ { "Phone": "777-777-7777", "Fax": "888-888-8888", "Email": "jwilliams@test.com", "ContactName": "Jason Williams" } ], "company": { "zip": "54321", "state": "IL", "country": "US", "companyName": "Test Company 2", "city": "Chicago", "addr": "456 Test Street" }, "apptRequired": true } ], "specialInstructions": [ "Special Instruction 1", "Special Instruction 2" ], "shipmentId": "12345", "scac": "FLSJ", "respondByTime": "03:30", "respondByDate": "2015-12-23", "referenceNums": [ { "value": "1001624728", "type": "IL", "text": "Internal Order Number" }, { "value": "45734", "type": "PO", "text": "PO Number" }, { "value": "2024-04-19", "type": "OD", "text": "Order Date" }, { "value": "FLSJ", "type": "SCA", "text": "SCAC" } ], "purpose": "Original", "poNum": "12345", "paymentTerms": "Third Party", "orderNum": "45678", "mode": "Truckload", "mileage": 56.24, "items": [ { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [ { "value": "2333", "type": "HZ", "text": "Hazmat Number" }, { "value": "Item-1", "type": "IN", "text": "Item Number" } ], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3366468010001", "isHazMat": true, "height": 12.1, "hazMatPackagingGroup": "III", "hazMatNumberType": "UN", "hazMatNumber": "1234", "hazMatContactPhone": "312-555-9999", "hazMatContactName": "George Smiley", "hazMatContactEmail": "beggerman@thecircus.com", "hazMatClassDivision": "4.1", "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "ft", "description": "Commodity" }, { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3234468010001", "isHazMat": false, "height": 12.1, "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "ft", "description": "Stuff" } ], "insuranceAmount": 800, "equipmentType": "Dry Van 48'", "currencyCode": "USD", "charges": [ { "type": "Line Haul", "description": "Line Haul", "amount": 5000 }, { "type": "Fuel", "description": "Fuel Surcharge", "amount": 200 }, { "type": "Accessorial", "description": "Lift Gate Delivery", "amount": 100 }, { "type": "Accessorial", "description": "Lumper Delivery", "amount": 200 } ], "cargoValue": 1000, "bolNum": "98765" } } ] }, "204 (Maximal - Update)": { "value": [ { "inbound": true, "ediCode": 204, "payload": { "tradingPartnerId": "KLIQA", "totalCharge": 5500, "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "timeZone": "LT", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "stops": [ { "stopType": "pickup", "stopNum": 1, "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "VALUE", "type": "STOP", "text": "Text" }, { "value": "2024-04-25", "type": "AD", "text": "Arrival Date" }, { "value": "2024-04-25", "type": "DD", "text": "Departure Date" }, { "value": "716263587126", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/26/2025", "contacts": [ { "Phone": "555-555-5555", "Fax": "666-666-6666", "Email": "fwheaton@trucking.com", "ContactName": "Felicia Wheaton" } ], "company": { "zip": "12345", "state": "MN", "country": "US", "companyName": "Test Company 1", "city": "Smalltown", "addr": "123 Test Street" }, "apptRequired": false }, { "stopType": "dropoff", "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "980938459", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/28/2025", "contacts": [ { "Phone": "777-777-7777", "Fax": "888-888-8888", "Email": "jwilliams@test.com", "ContactName": "Jason Williams" } ], "company": { "zip": "54321", "state": "IL", "country": "US", "companyName": "Test Company 2", "city": "Chicago", "addr": "456 Test Street" }, "apptRequired": true } ], "specialInstructions": [ "Special Instruction 1", "Special Instruction 2" ], "shipmentId": "100012", "scac": "FLSJ", "respondByTime": "03:30", "respondByDate": "2015-12-23", "referenceNums": [ { "value": "1001624728", "type": "IL", "text": "Internal Order Number" }, { "value": "45734", "type": "PO", "text": "PO Number" }, { "value": "2024-04-19", "type": "OD", "text": "Order Date" }, { "value": "FLSJ", "type": "SCA", "text": "SCAC" } ], "purpose": "Update", "poNum": "12345", "paymentTerms": "Third Party", "orderNum": "45678", "mode": "Truckload", "mileage": 56.24, "items": [ { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [ { "value": "2333", "type": "HZ", "text": "Hazmat Number" }, { "value": "Item-1", "type": "IN", "text": "Item Number" } ], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3366468010001", "isHazMat": true, "height": 12.1, "hazMatPackagingGroup": "III", "hazMatNumberType": "UN", "hazMatNumber": "1234", "hazMatContactPhone": "312-555-9999", "hazMatContactName": "George Smiley", "hazMatContactEmail": "beggerman@thecircus.com", "hazMatClassDivision": "4.1", "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "Ft", "description": "Commodity" }, { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3234468010001", "isHazMat": false, "height": 12.1, "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "Ft", "description": "Stuff" } ], "insuranceAmount": 800, "equipmentType": "Dry Van 48'", "containerNumber": "MAEU1234567", "currencyCode": "USD", "charges": [ { "type": "Line Haul", "description": "Line Haul", "amount": 5000 }, { "type": "Fuel", "description": "Fuel Surcharge", "amount": 200 }, { "type": "Accessorial", "description": "Lift Gate Delivery", "amount": 100 }, { "type": "Accessorial", "description": "Lumper Delivery", "amount": 200 } ], "cargoValue": 1000, "bolNum": "98765" } } ] }, "204 (Minimal - Original)": { "value": [ { "inbound": true, "ediCode": 204, "payload": { "tradingPartnerId": "KLIQA", "stops": [ { "stopType": "pickup", "expectedDate": "12/26/2025", "company": { "companyName": "Test Company 1" } }, { "stopType": "dropoff", "expectedDate": "2025-12-28", "company": { "companyName": "Test Company 2" } } ], "shipmentId": "12345", "purpose": "Original" } } ] }, "204 (Minimal - Update)": { "value": [ { "inbound": true, "ediCode": 204, "payload": { "tradingPartnerId": "KLIQA", "stops": [ { "stopType": "pickup", "expectedDate": "12/26/2025", "company": { "zip": "12345", "state": "MN", "country": "US", "companyName": "Test Company 1", "city": "Smalltown", "addr": "123 Test Street" } }, { "stopType": "dropoff", "expectedDate": "2025-12-28", "company": { "zip": "54321", "state": "IL", "country": "US", "companyName": "Test Company 2", "city": "Chicago", "addr": "456 Test Street" } } ], "shipmentId": "12345", "purpose": "Update" } } ] }, "204 (Cancellation)": { "value": [ { "inbound": true, "ediCode": 204, "payload": { "tradingPartnerId": "KLIQA", "shipmentId": "12345", "purpose": "Cancellation" } } ] }, "404 (Maximal - Original)": { "value": [ { "inbound": true, "ediCode": 404, "payload": { "tradingPartnerId": "KLIQA", "totalCharge": 5500, "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "timeZone": "LT", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "stops": [ { "stopType": "pickup", "stopNum": 1, "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "VALUE", "type": "STOP", "text": "Text" }, { "value": "2024-04-25", "type": "AD", "text": "Arrival Date" }, { "value": "2024-04-25", "type": "DD", "text": "Departure Date" }, { "value": "716263587126", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/26/2025", "contacts": [ { "Phone": "555-555-5555", "Fax": "666-666-6666", "Email": "fwheaton@trucking.com", "ContactName": "Felicia Wheaton" } ], "company": { "zip": "12345", "state": "MN", "country": "US", "companyName": "Test Company 1", "city": "Smalltown", "addr": "123 Test Street" }, "apptRequired": false }, { "stopType": "dropoff", "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "980938459", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/28/2025", "contacts": [ { "Phone": "777-777-7777", "Fax": "888-888-8888", "Email": "jwilliams@test.com", "ContactName": "Jason Williams" } ], "company": { "zip": "54321", "state": "IL", "country": "US", "companyName": "Test Company 2", "city": "Chicago", "addr": "456 Test Street" }, "apptRequired": true } ], "specialInstructions": [ "Special Instruction 1", "Special Instruction 2" ], "shipmentId": "12345", "scac": "FLSJ", "respondByTime": "03:30", "respondByDate": "2015-12-23", "referenceNums": [ { "value": "1001624728", "type": "IL", "text": "Internal Order Number" }, { "value": "45734", "type": "PO", "text": "PO Number" }, { "value": "2024-04-19", "type": "OD", "text": "Order Date" }, { "value": "FLSJ", "type": "SCA", "text": "SCAC" } ], "purpose": "Original", "poNum": "12345", "paymentTerms": "Third Party", "orderNum": "45678", "mode": "Truckload", "mileage": 56.24, "items": [ { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [ { "value": "2333", "type": "HZ", "text": "Hazmat Number" }, { "value": "Item-1", "type": "IN", "text": "Item Number" } ], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3366468010001", "isHazMat": true, "height": 12.1, "hazMatPackagingGroup": "III", "hazMatNumberType": "UN", "hazMatNumber": "1234", "hazMatContactPhone": "312-555-9999", "hazMatContactName": "George Smiley", "hazMatContactEmail": "beggerman@thecircus.com", "hazMatClassDivision": "4.1", "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "ft", "description": "Commodity" }, { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3234468010001", "isHazMat": false, "height": 12.1, "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "ft", "description": "Stuff" } ], "insuranceAmount": 800, "equipmentType": "Dry Van 48'", "currencyCode": "USD", "charges": [ { "type": "Line Haul", "description": "Line Haul", "amount": 5000 }, { "type": "Fuel", "description": "Fuel Surcharge", "amount": 200 }, { "type": "Accessorial", "description": "Lift Gate Delivery", "amount": 100 }, { "type": "Accessorial", "description": "Lumper Delivery", "amount": 200 } ], "cargoValue": 1000, "bolNum": "98765" } } ] }, "404 (Maximal - Update)": { "value": [ { "inbound": true, "ediCode": 404, "payload": { "tradingPartnerId": "KLIQA", "totalCharge": 5500, "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "timeZone": "LT", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "stops": [ { "stopType": "pickup", "stopNum": 1, "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "VALUE", "type": "STOP", "text": "Text" }, { "value": "2024-04-25", "type": "AD", "text": "Arrival Date" }, { "value": "2024-04-25", "type": "DD", "text": "Departure Date" }, { "value": "716263587126", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/26/2025", "contacts": [ { "Phone": "555-555-5555", "Fax": "666-666-6666", "Email": "fwheaton@trucking.com", "ContactName": "Felicia Wheaton" } ], "company": { "zip": "12345", "state": "MN", "country": "US", "companyName": "Test Company 1", "city": "Smalltown", "addr": "123 Test Street" }, "apptRequired": false }, { "stopType": "dropoff", "stopInstructions": [ "Careful Handling" ], "referenceNums": [ { "value": "980938459", "type": "PD", "text": "Pickup/Delivery Number" } ], "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "expectedDate": "12/28/2025", "contacts": [ { "Phone": "777-777-7777", "Fax": "888-888-8888", "Email": "jwilliams@test.com", "ContactName": "Jason Williams" } ], "company": { "zip": "54321", "state": "IL", "country": "US", "companyName": "Test Company 2", "city": "Chicago", "addr": "456 Test Street" }, "apptRequired": true } ], "specialInstructions": [ "Special Instruction 1", "Special Instruction 2" ], "shipmentId": "100012", "scac": "FLSJ", "respondByTime": "03:30", "respondByDate": "2015-12-23", "referenceNums": [ { "value": "1001624728", "type": "IL", "text": "Internal Order Number" }, { "value": "45734", "type": "PO", "text": "PO Number" }, { "value": "2024-04-19", "type": "OD", "text": "Order Date" }, { "value": "FLSJ", "type": "SCA", "text": "SCAC" } ], "purpose": "Update", "poNum": "12345", "paymentTerms": "Third Party", "orderNum": "45678", "mode": "Truckload", "mileage": 56.24, "items": [ { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [ { "value": "2333", "type": "HZ", "text": "Hazmat Number" }, { "value": "Item-1", "type": "IN", "text": "Item Number" } ], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3366468010001", "isHazMat": true, "height": 12.1, "hazMatPackagingGroup": "III", "hazMatNumberType": "UN", "hazMatNumber": "1234", "hazMatContactPhone": "312-555-9999", "hazMatContactName": "George Smiley", "hazMatContactEmail": "beggerman@thecircus.com", "hazMatClassDivision": "4.1", "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "Ft", "description": "Commodity" }, { "width": 12.1, "weightUnits": "lbs", "weight": 2319.12, "volumeUnits": "Cubic Feet", "volume": 34.2, "referenceNums": [], "pickupStopNum": 1, "packagingUnits": "Other", "packagingUnitCount": 2000, "nmfcClass": "55", "length": 12.1, "itemNum": "3234468010001", "isHazMat": false, "height": 12.1, "handlingUnits": "Pallets", "handlingUnitCount": 1, "dropoffStopNum": 2, "dimensionUnits": "Ft", "description": "Stuff" } ], "insuranceAmount": 800, "equipmentType": "Dry Van 48'", "containerNumber": "MAEU1234567", "currencyCode": "USD", "charges": [ { "type": "Line Haul", "description": "Line Haul", "amount": 5000 }, { "type": "Fuel", "description": "Fuel Surcharge", "amount": 200 }, { "type": "Accessorial", "description": "Lift Gate Delivery", "amount": 100 }, { "type": "Accessorial", "description": "Lumper Delivery", "amount": 200 } ], "cargoValue": 1000, "bolNum": "98765" } } ] }, "404 (Minimal - Original)": { "value": [ { "inbound": true, "ediCode": 404, "payload": { "tradingPartnerId": "KLIQA", "stops": [ { "stopType": "pickup", "expectedDate": "12/26/2025", "company": { "companyName": "Test Company 1" } }, { "stopType": "dropoff", "expectedDate": "2025-12-28", "company": { "companyName": "Test Company 2" } } ], "shipmentId": "12345", "purpose": "Original" } } ] }, "404 (Minimal - Update)": { "value": [ { "inbound": true, "ediCode": 404, "payload": { "tradingPartnerId": "KLIQA", "stops": [ { "stopType": "pickup", "expectedDate": "12/26/2025", "company": { "zip": "12345", "state": "MN", "country": "US", "companyName": "Test Company 1", "city": "Smalltown", "addr": "123 Test Street" } }, { "stopType": "dropoff", "expectedDate": "2025-12-28", "company": { "zip": "54321", "state": "IL", "country": "US", "companyName": "Test Company 2", "city": "Chicago", "addr": "456 Test Street" } } ], "shipmentId": "12345", "purpose": "Update" } } ] }, "998 (Cancellation)": { "value": [ { "inbound": true, "ediCode": 404, "payload": { "tradingPartnerId": "KLIQA", "shipmentId": "12345", "purpose": "Cancellation" } } ] }, "990 (Maximal - Accept)": { "value": [ { "ediCode": 990, "inbound": true, "payload": { "bookingNumber": "Booking", "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Accept", "waybillNumber": "Waybill" } } ] }, "990 (Maximal - Decline)": { "value": [ { "ediCode": 990, "inbound": true, "payload": { "bookingNumber": "Booking", "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Decline", "tenderDeclinedComments": "Invalid load for some reason", "tenderDeclinedReasonCodes": [ "ASV", "RTN" ], "tenderExceptionComments": "Encountered an issue processing", "waybillNumber": "Waybill" } } ] }, "990 (Minimal - Accept)": { "value": [ { "ediCode": 990, "inbound": true, "payload": { "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Accept" } } ] }, "990 (Minimal - Decline)": { "value": [ { "ediCode": 990, "inbound": true, "payload": { "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Decline" } } ] }, "824 (Maximal - Accept)": { "value": [ { "ediCode": 824, "inbound": true, "payload": { "bookingNumber": "Booking", "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Accept", "waybillNumber": "Waybill" } } ] }, "824 (Maximal - Decline)": { "value": [ { "ediCode": 824, "inbound": true, "payload": { "bookingNumber": "Booking", "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Decline", "tenderDeclinedComments": "Invalid load for some reason", "tenderDeclinedReasonCodes": [ "ASV", "RTN" ], "tenderExceptionComments": "Encountered an issue processing", "waybillNumber": "Waybill" } } ] }, "824 (Minimal - Accept)": { "value": [ { "ediCode": 824, "inbound": true, "payload": { "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Accept" } } ] }, "824 (Minimal - Decline)": { "value": [ { "ediCode": 824, "inbound": true, "payload": { "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345", "status": "Decline" } } ] }, "214 (Maximal)": { "value": [ { "ediCode": 214, "inbound": true, "payload": { "bookingNumber": "1234672137", "carrierTradingPartnerId": "EDIC1", "containerNumber": "MAEU1234567", "eventCity": "Chicago", "eventCode": "AF", "eventCountry": "US", "eventDate": "2025-07-04", "eventDetail": "This is the detail", "eventState": "IL", "eventTime": "08:30", "eventTimeZone": "LT", "eventZip": "60603", "latitude": 47.5292773045995, "longitude": -87.20153829304499, "proNumber": "PRO1234567", "sealNumber": "2372499345", "stopNumber": 2, "shipmentId": "12345", "waybillNumber": "45678910" } } ] }, "214 (Minimal)": { "value": [ { "ediCode": 214, "inbound": true, "payload": { "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345" } } ] }, "322 (Maximal)": { "value": [ { "ediCode": 322, "inbound": true, "payload": { "bookingNumber": "1234672631", "carrierTradingPartnerId": "EDIC1", "containerNumber": "MAEU14564513", "eventCity": "Chicago", "eventCode": "AF", "eventCountry": "US", "eventDate": "2025-07-04", "eventDetail": "This is the detail", "eventState": "IL", "eventTime": "08:30", "eventTimeZone": "LT", "eventZip": "60603", "latitude": 47.5292773045995, "longitude": -87.20153829304499, "proNumber": "PRO1234567", "sealNumber": "2372499345", "stopNumber": 2, "shipmentId": "12345", "waybillNumber": "45678910" } } ] }, "322 (Minimal)": { "value": [ { "ediCode": 322, "inbound": true, "payload": { "carrierTradingPartnerId": "EDIC1", "shipmentId": "12345" } } ] }, "210 (Maximal)": { "value": [ { "inbound": true, "ediCode": 210, "payload": { "waybillNumber": "way12345", "ultimateShipperStreet": "526 Beacon Street", "ultimateShipperState": "MA", "ultimateShipperPostalCode": "02215", "ultimateShipperName": "Ultimate Shipper ABC", "ultimateShipperCountry": "US", "ultimateShipperCity": "Boston", "ultimateConsigneeStreet": "1526 Beacon Street", "ultimateConsigneeState": "MA", "ultimateConsigneePostalCode": "02219", "ultimateConsigneeName": "Ultimate Consignee DEF", "ultimateConsigneeCountry": "US", "ultimateConsigneeCity": "Bostona", "shipmentId": "12345", "proNumber": "pro12345", "originStreet": "2333 Waukegan Rd.", "originState": "IL", "originPostalCode": "60045", "originName": "ABC Shipper", "originCountry": "US", "originCity": "Bannockburn", "items": [ { "weightUnits": "lbs", "weight": 100, "rateType": "Per Mile", "rate": 0.25, "quantity": 10, "freightClass": "50", "description": "Commodity AAA", "amount": 100 } ], "invoiceNum": "TESTINVNUM123", "invoiceDueDate": "2025-10-07", "invoiceDate": "2025-09-22", "destinationStreet": "526 Beacon Street", "destinationState": "MA", "destinationPostalCode": "02215", "destinationName": "ABC Shipper", "destinationCountry": "US", "destinationCity": "Boston", "currencyCode": "USD", "charges": [ { "type": "Line Haul", "rateType": "Per Mile", "rate": 1, "qty": 1200, "description": "Net Line Haul", "amount": 1200 }, { "type": "Fuel", "rateType": "Per Mile", "rate": 0.25, "qty": 1200, "description": "Fuel Surcharge", "amount": 300 }, { "type": "Accessorial", "stopNum": 2, "rateType": "Fixed Cost", "rate": 75, "qty": 1, "description": "After Hours Delivery", "amount": 75 } ], "carrierTradingPartnerId": "EDIC1", "carrierBillToStreet": "1526 Beacon Street", "carrierBillToState": "MA", "carrierBillToPostalCode": "02219", "carrierBillToName": "Ultimate Consignee DEF", "carrierBillToCountry": "US", "carrierBillToCity": "Bostona" } } ] }, "210 (Minimal)": { "value": [ { "inbound": true, "ediCode": 210, "payload": { "shipmentId": "12345", "invoiceDate": "2025-11-11", "carrierTradingPartnerId": "EDIC1" } } ] }, "410 (Maximal)": { "value": [ { "inbound": true, "ediCode": 410, "payload": { "waybillNumber": "way12345", "ultimateShipperStreet": "526 Beacon Street", "ultimateShipperState": "MA", "ultimateShipperPostalCode": "02215", "ultimateShipperName": "Ultimate Shipper ABC", "ultimateShipperCountry": "US", "ultimateShipperCity": "Boston", "ultimateConsigneeStreet": "1526 Beacon Street", "ultimateConsigneeState": "MA", "ultimateConsigneePostalCode": "02219", "ultimateConsigneeName": "Ultimate Consignee DEF", "ultimateConsigneeCountry": "US", "ultimateConsigneeCity": "Bostona", "shipmentId": "12345", "proNumber": "pro12345", "originStreet": "2333 Waukegan Rd.", "originState": "IL", "originPostalCode": "60045", "originName": "ABC Shipper", "originCountry": "US", "originCity": "Bannockburn", "items": [ { "weightUnits": "lbs", "weight": 100, "rateType": "Per Mile", "rate": 0.25, "quantity": 10, "freightClass": "50", "description": "Commodity AAA", "amount": 100 } ], "invoiceNum": "TESTINVNUM123", "invoiceDueDate": "2025-10-07", "invoiceDate": "2025-09-22", "destinationStreet": "526 Beacon Street", "destinationState": "MA", "destinationPostalCode": "02215", "destinationName": "ABC Shipper", "destinationCountry": "US", "destinationCity": "Boston", "currencyCode": "USD", "charges": [ { "type": "Line Haul", "rateType": "Per Mile", "rate": 1, "qty": 1200, "description": "Net Line Haul", "amount": 1200 }, { "type": "Fuel", "rateType": "Per Mile", "rate": 0.25, "qty": 1200, "description": "Fuel Surcharge", "amount": 300 }, { "type": "Accessorial", "stopNum": 2, "rateType": "Fixed Cost", "rate": 75, "qty": 1, "description": "After Hours Delivery", "amount": 75 } ], "carrierTradingPartnerId": "EDIC1", "carrierBillToStreet": "1526 Beacon Street", "carrierBillToState": "MA", "carrierBillToPostalCode": "02219", "carrierBillToName": "Ultimate Consignee DEF", "carrierBillToCountry": "US", "carrierBillToCity": "Bostona" } } ] }, "410 (Minimal)": { "value": [ { "inbound": true, "ediCode": 410, "payload": { "shipmentId": "12345", "invoiceDate": "2025-11-11", "carrierTradingPartnerId": "EDIC1" } } ] } } } } }, "responses": { "200": { "description": "Valid authentication, Empty list provided in POST body", "content": { "text/plain": { "schema": { "type": "string", "example": "No EDI Events to publish" } } } }, "201": { "description": "Valid authentication, All events passed model validation. EDI Events successfully queue.", "content": { "text/plain": { "schema": { "type": "string", "example": "EDI events queued" } } } }, "400": { "description": "EDI Event(s) fail validation", "content": { "text/plain": { "schema": { "type": "string" }, "examples": { "ediCodeMissing": { "summary": "Missing or null EDI Code", "value": "Bad request: EDI Event at index : EDICode is missing" }, "ediCodeNotNumber": { "summary": "EDI Code is not an integer", "value": "Bad request: EDI Event at index : EDICode must be an integer. Actual: " }, "ediCodeUnsupported": { "summary": "EDI Code is not supported (204, 404, 998, 990, 824, 214, 322, 210, 410)", "value": "Bad request: EDI Event at index : Unsupported EDI Code: " }, "payloadRequired": { "summary": "Missing or null payload", "value": "Bad request: EDI Event at index : Payload required" }, "payloadTooLarge": { "summary": "Payload is too large", "value": "Bad request: EDI Event at index : Payload longer than 130000 chars ( chars)" }, "badPayload": { "summary": "Payload does not match expected request model", "value": "Bad request: Could not deserialize request" } } } } }, "401": { "description": "Unauthorized credentials. Provided by Salesforce.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Description of the error", "example": "Session expired or invalid" }, "errorcode": { "type": "string", "description": "Unique ID for the error", "example": "INVALID_SESSION_ID" } } } } } }, "403": { "description": "Forbidden User. Provided by Salesforce.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Description of the error", "example": "You do not have access to the Apex class named: EDIService" }, "errorcode": { "type": "string", "description": "Unique ID for the error", "example": "FORBIDDEN" } } } }, "text/plain": { "schema": { "type": "string", "example": "Forbidden: Invalid EDI Context User" } } } }, "413": { "description": "More than 200 events in the json payload, EDI van needs to batch these calls, and call the POST endpoint more than once", "content": { "text/plain": { "schema": { "type": "string", "example": "Content too large: events is more than the supported 200 events per call" } } } }, "500": { "description": "Catchall for any unexpected errors encountered when trying to queue edi events", "content": { "text/plain": { "schema": { "type": "string", "example": "Internal Server Error" } } } }, "503": { "description": "EDI Rest API isn't enabled in TMS Admin", "content": { "text/plain": { "schema": { "type": "string", "example": "Service Unavailable: Rest API not enabled for EDI in TMS Admin" } } } } } } } }, "components": { "schemas": { "ediCode": { "type": "integer", "description": "The EDI codes to send or receive in the body of the request.", "enum": [ 204, 990, 214, 210, 404, 998, 824, 322, 410 ], "example": 204 }, "inboundEdi204": { "type": "object", "description": "Inbound EDI 204 Shipment Load Tender.\n\nAlso handles inbound EDI 404 and 998 Load Tenders.\n", "required": [ "tradingPartnerId", "shipmentId", "purpose" ], "properties": { "tradingPartnerId": { "type": "string", "example": "KLIQA", "maxLength": 50, "description": "The trading partner identifier for the carrier receiving the load tender.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "shipmentId": { "type": "string", "example": "12345", "maxLength": 255, "description": "The unique identifier for the shipment load tender.\n\nMaps to the Load (object) field set in TMS Admin > Configuration > EDI Shipment ID in Revenova TMS.\n" }, "scac": { "type": "string", "example": "FLSJ", "maxLength": 10, "description": "The SCAC of the customer associated with the load.\n\nMaps to Load (object) -> EDI SCAC (field) in Revenova TMS.\n" }, "containerNumber": { "type": "string", "example": "MAEU1234567", "maxLength": 80, "description": "The number of the container/trailer for the shipment.\n\nMaps to Load (object) -> Container/Trailer Number (field) in Revenova TMS.\n" }, "customerBillTo": { "type": "object", "description": "The customer to be billed for the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Billing Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Billing City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Billing State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Billing Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Billing Country Code (field) in Revenova TMS.\n" } } }, "purpose": { "type": "string", "example": "Original", "description": "The purpose of the load tender (Original, Update, or Cancellation).\n", "enum": [ "Original", "Update", "Cancellation" ] }, "mode": { "type": "string", "example": "LTL", "description": "The mode of transportation for the shipment.\n\nMaps to Mode (object) -> Name (field) in Revenova TMS. Mode must be pre-defined in Revenova TMS.\n" }, "equipmentType": { "type": "string", "example": "Dry Van 48'", "maxLength": 80, "description": "The type of equipment required for the shipment.\n\nMaps to Load (object) -> Equipment Type (field) in Revenova TMS.\n" }, "specialInstructions": { "type": "array", "description": "A list of special instructions for the shipment.\n\nMaps to Load (object) -> Other Instructions (field) in Revenova TMS.\n", "items": { "type": "string", "maxLength": 3000, "description": "A special instruction for the shipment." }, "example": [ "Special Instruction 1", "Special Instruction 2" ] }, "poNum": { "type": "string", "example": "12345", "maxLength": 100, "description": "The purchase order number associated with the shipment. Combines with any PO Numbers identified in reference nums with semicolons.\n\nMaps to Load (object) -> PO Number (field) in Revenova TMS.\n" }, "orderNum": { "type": "string", "example": "45678", "maxLength": 50, "description": "The order number associated with the shipment.\n\nMaps to Load (object) -> Order Number (field) in Revenova TMS.\n" }, "bolNum": { "type": "string", "example": "98765", "maxLength": 55, "description": "The bill of lading number for the shipment.\n\nMaps to Load (object) -> Bill of Lading Number (field) in Revenova TMS.\n" }, "paymentTerms": { "type": "string", "example": "Third Party", "description": "The payment terms for the shipment (e.g, Prepaid, Collect, Third Party).\n\nMaps to Load (object) -> Payment Terms (field) in Revenova TMS.\n", "enum": [ "Prepaid", "Collect", "Third Party" ] }, "respondByDate": { "type": "string", "format": "date", "example": "2015-12-23", "description": "The date by which the carrier must respond to the load tender.\n\nFormat can be YYYY-MM-DD, MM/DD/YYYY, YYYYMMDD, or MMDDYYYY.\n\nMaps to Load (object) -> EDI Response Deadline (field) in Revenova TMS.\n" }, "respondByTime": { "type": "string", "example": "03:30", "description": "The time by which the carrier must respond to the load tender.\n\nFormat must be HH:MM in 24-hour format.\n\nMaps to Load (object) -> EDI Response Deadline (field) in Revenova TMS.\n" }, "timeZone": { "type": "string", "example": "LT", "description": "The time zone for the respond by time.\n\nLT = Local Time\n\nMaps to Load (object) -> EDI Response Deadline (field) in Revenova TMS.\n" }, "currencyCode": { "type": "string", "example": "USD", "maxLength": 3, "description": "The 3-character currency code for monetary values in the load tender, relevant for multicurrency orgs only\n\nMaps to Load (object) -> Currency ISO Code (field) in Revenova TMS.\n" }, "cargoValue": { "type": "number", "example": 1000, "description": "The declared value of the cargo being shipped.\n\nMaps to Load (object) -> Cargo Value (field) in Revenova TMS.\n" }, "insuranceAmount": { "type": "number", "example": 800, "description": "The amount of insurance coverage for the shipment.\n\nMaps to Load (object) -> Insurance Amount (field) in Revenova TMS.\n" }, "mileage": { "type": "number", "format": "decimal", "example": 56.24, "description": "The total mileage for the shipment.\n\nMaps to Load (object) -> Distance (Miles) (field) in Revenova TMS.\n" }, "totalWeight": { "type": "number", "example": 5500, "description": "The total weight for the shipment.\n\nMaps to Load (object) -> Total Weight (field) in Revenova TMS:\n" }, "weightUnits": { "type": "string", "example": "lbs", "description": "The units of weight for the item (lbs or kg).\n\nMaps to Load (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ] }, "totalVolume": { "type": "number", "example": 5500, "description": "The total volume for the shipment.\n\nMaps to Load (object) -> Total Volume (field) in Revenova TMS:\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "totalCharge": { "type": "number", "example": 5500, "description": "The total charge for the shipment.\n\nMaps to one of the following Load in Revenova TMS:\n- Load (object) -> EDI Quote Total (field)\n- Customer Quote (object) -> Customer Quote Total (field)\n" }, "referenceNums": { "type": "array", "description": "A list of reference numbers associated with the shipment.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the shipment.\n\nCan have 0-to-many reference numbers.\n", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number.\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The description/label of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } }, "stops": { "type": "array", "description": "A list of stops for the shipment.\n\nRequires 2 or more stops.\n\nMaps to Stop (object) in Revenova TMS.\n", "items": { "type": "object", "required": [ "stopType", "expectedDate", "company" ], "properties": { "stopType": { "type": "string", "description": "The type of stop (e.g., pickup, dropoff).\n\nMaps to one of the following in Revenova TMS:\n- For pickup stops: Stop (object) -> Is Pickup (field)\n- For dropoff stops: Stop (object) -> Is Dropoff (field)\n", "enum": [ "pickup", "dropoff" ], "example": "pickup" }, "apptRequired": { "type": "boolean", "example": true, "description": "Indicates whether an appointment is required for the stop.\n\nMaps to Stop (object) -> Appointment Required (field) in Revenova TMS.\n" }, "expectedDate": { "type": "string", "format": "date", "example": "12-26-2025", "description": "The expected date for the stop.\n\nFormat can be YYYY-MM-DD, MM/DD/YYYY, YYYYMMDD, or MMDDYYYY.\n\nMaps to Stop (object) -> Expected Date (field) in Revenova TMS.\n" }, "expectedTimeStart": { "type": "string", "example": "12:30", "description": "The expected start time for the stop.\n\nFormat must be HH:MM in 24-hour format.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time (field)\n" }, "expectedTimeEnd": { "type": "string", "example": "14:30", "description": "The expected end time for the stop.\n\nFormat must be HH:MM in 24-hour format.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time (field)\n" }, "stopInstructions": { "type": "array", "description": "A list of specific instructions for the stop.\n\nMaps to Stop (object) -> Instructions (field) in Revenova TMS.\n", "items": { "type": "string", "maxLength": 2000, "description": "A specific instruction for the stop." }, "example": [ "Careful Handling", "Drop off at door" ] }, "company": { "type": "object", "description": "The company information for the stop.\n\nMaps to Account (object) in Revenova TMS.\n", "required": [ "companyName" ], "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 80, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "companyId": { "type": "string", "example": "KLIQA", "maxLength": 80, "description": "The EDI Trading Partner ID of the company.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" } } }, "contacts": { "type": "array", "description": "A list of contacts for the stop.\n\nMaps to Contact (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A contact person for the stop.\n\nCan have 0-to-many contacts.\n", "required": [ "contactName" ], "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "format": "phone", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "format": "phone", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } }, "referenceNums": { "type": "array", "description": "A list of reference numbers for the stop.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the stop.\n\nCan have 0-to-many reference numbers.\n", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD, PO, etc.).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The description/label of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } } } } }, "items": { "type": "array", "description": "A list of items being shipped in the load.\n\nMaps to Line Item (object) in Revenova TMS.\n", "items": { "type": "object", "description": "An item being shipped in the load.\n\nCan have 0-to-many line items.\n", "required": [ "pickupStopNum", "dropoffStopNum", "description", "weight" ], "properties": { "pickupStopNum": { "type": "number", "format": "integer", "example": 1, "description": "The stop number where the item is picked up.\n\nMaps to Line Item (object) -> Pickup Stop (field) in Revenova TMS.\n" }, "dropoffStopNum": { "type": "number", "format": "integer", "example": 2, "description": "The stop number where the item is dropped off.\n\nMaps to Line Item (object) -> Delivery Stop (field) in Revenova TMS.\n" }, "itemNum": { "type": "string", "example": "3366468010001", "maxLength": 50, "description": "The unique identifier (SKU) for the item.\n\nMaps to Line Item (object) -> Name (field) in Revenova TMS.\n" }, "description": { "type": "string", "example": "Commodity", "maxLength": 255, "description": "The description of the item being shipped. Autofills with itemNum if left out.\n\nMaps to Line Item (object) -> Description (field) in Revenova TMS.\n" }, "handlingUnitCount": { "type": "number", "format": "integer", "example": 1, "description": "The number of handling units for the item.\n\nMaps to Line Item (object) -> HU Count (field) in Revenova TMS.\n" }, "handlingUnits": { "$ref": "#/components/schemas/handlingUnits" }, "packagingUnitCount": { "type": "number", "format": "integer", "example": 20, "description": "The number of packaging units for the item.\n\nMaps to Line Item (object) -> PU Count (field) in Revenova TMS.\n" }, "packagingUnits": { "$ref": "#/components/schemas/packagingUnits" }, "weight": { "type": "number", "example": 12.1, "description": "The weight of the item.\n\nMaps to Line Item (object) -> Weight (field) in Revenova TMS.\n" }, "weightUnits": { "type": "string", "example": "kg", "description": "The weight units for the item.\n\nMaps to Line Item (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ] }, "volume": { "type": "number", "example": 34.2, "description": "The volume of the item.\n\nMaps to Line Item (object) -> Volume (field) in Revenova TMS.\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "length": { "type": "number", "format": "decimal", "example": 12.1, "description": "The length of the handling unit.\n\nMaps to Line Item (object) -> Length (field) in Revenova TMS.\n" }, "width": { "type": "number", "format": "decimal", "example": 12.1, "description": "The width of the handling unit.\n\nMaps to Line Item (object) -> Width (field) in Revenova TMS.\n" }, "height": { "type": "number", "format": "decimal", "example": 12.1, "description": "The height of the handling unit.\n\nMaps to Line Item (object) -> Height (field) in Revenova TMS.\n" }, "dimensionUnits": { "type": "string", "example": "m", "enum": [ "in", "cm", "ft", "m" ], "description": "The dimension units for the handling unit (e.g, in, cm, ft, m).\n\nMaps to Line Item (object) -> Dimension Units (field) in Revenova TMS.\n" }, "nmfcClass": { "type": "string", "example": "55", "description": "The NMFC class for the item (e.g., \"50\", \"55\", \"60\", etc.).\n\nMaps to Line Item (object) -> NMFC Class (field) in Revenova TMS.\n" }, "nmfcNum": { "type": "string", "example": "21652-02", "maxLength": 20, "description": "The NMFC code/subcode for the item.\n\nMaps to Line Item (object) -> NMFC Number (field) in Revenova TMS.\n" }, "isHazMat": { "type": "boolean", "example": false, "description": "Indicates whether the item is hazardous material.\n\nMaps to Line Item (object) -> HazMat (field) in Revenova TMS.\n" }, "hazMatNumberType": { "type": "string", "example": "NA", "enum": [ "UN", "NA" ], "description": "The hazardous material number type (e.g., UN, NA).\n\nMaps to Line Item (object) -> HazMat Number Type (field) in Revenova TMS.\n" }, "hazMatNumber": { "type": "string", "maxLength": 4, "example": "1234", "description": "The hazardous material number.\n\nMaps to Line Item (object) -> HazMat Number (field) in Revenova TMS.\n" }, "hazMatClassDivision": { "type": "string", "example": "6.1", "description": "The hazardous material class/division.\n\nMaps to Line Item (object) -> HazMat Class/Division (field) in Revenova TMS.\n", "enum": [ "1.1", "1.2", "1.3", "1.4", "1.5", "1.6", "2.1", "2.2", "2.3", "3", "4.1", "4.2", "4.3", "5.1", "5.2", "6.1", "6.2", "7", "8", "9" ] }, "hazMatPackagingGroup": { "type": "string", "example": "I", "description": "The hazardous material packaging group.\n\nMaps to Line Item (object) -> HazMat Packaging Group (field) in Revenova TMS.\n", "enum": [ "I", "II", "III" ] }, "hazMatContactName": { "type": "string", "maxLength": 80, "example": "George Smith", "description": "The name of the hazardous material contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to Contact (object) -> Name (field) in Revenova TMS.\n" }, "hazMatContactPhone": { "type": "string", "format": "phone", "example": "312-555-9999", "maxLength": 40, "description": "The phone number of the hazardous material contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "hazMatContactEmail": { "type": "string", "format": "email", "example": "georgesmith@company.com", "maxLength": 80, "description": "The email address of the hazardous material contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" }, "referenceNums": { "type": "array", "description": "A list of reference numbers for the line item.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the line item.\n\nCan have 0-to-many reference numbers.\n", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD, PO, etc.).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The description/label of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } } } } }, "charges": { "type": "array", "description": "A list of charges associated with the shipment.\n\nMaps to Customer Quote and Carrier Quote (objects) in Revenova TMS.\n", "items": { "type": "object", "description": "A charge associated with the shipment.\n\nCan have 0-to-many charges.\n", "required": [ "type", "amount" ], "properties": { "type": { "type": "string", "example": "Line Haul", "description": "The type of charge (e.g., Line Haul, Fuel, Accessorial).\n\nMaps to Customer Quote and Carrier Quote (objects) in Revenova TMS.\n", "enum": [ "Line Haul", "Fuel", "Accessorial" ] }, "description": { "type": "string", "maxLength": 80, "example": "Lift Gate Delivery", "description": "The description of the charge.\n\nMaps to Customer Quote Accessorial (object) -> Name (field) in Revenova TMS.\n" }, "amount": { "type": "number", "example": 1000, "description": "The amount of the charge.\n\nMaps to Customer Quote and Carrier Quote (objects) in Revenova TMS.\n" } } } } } }, "inboundEdi210": { "type": "object", "description": "Inbound EDI 210 Invoice from Carrier to Bill to Customer.\n\nAlso handles Inbound EDI 410 Freight Bill from Carrier to Bill to Customer.\n", "required": [ "carrierTradingPartnerId", "shipmentId", "invoiceDate" ], "properties": { "carrierTradingPartnerId": { "type": "string", "example": "EDIC1", "maxLength": 80, "description": "The EDI Trading Partner ID of the Carrier sending the invoice.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "shipmentId": { "type": "string", "example": "Load-5243", "maxLength": 80, "description": "The unique identifier for the shipment this invoice is associated with.\n\nMaps to Load (object) -> Load Number (field) in Revenova TMS.\n" }, "proNumber": { "type": "string", "example": "PRO1234567", "maxLength": 40, "description": "The PRO Number associated with this invoice.\n\nMaps to Load (object) -> PRO Number (field) in Revenova TMS.\n" }, "waybillNumber": { "type": "string", "example": "WAY1234567", "maxLength": 40, "description": "The Waybill Number associated with this invoice.\n\nMaps to Load (object) -> Waybill Number (field) in Revenova TMS.\n" }, "invoiceNum": { "type": "string", "example": "INV-123456789", "maxLength": 80, "description": "The unique invoice number assigned by the Carrier.\n\nMaps the following in Revenova TMS:\n- Vendor Invoice (object) -> Name (field)\n- Vendor Invoice (object) -> Payee Reference (field)\n" }, "currencyCode": { "type": "string", "example": "USD", "maxLength": 3, "description": "The ISO currency code for the invoice amounts, only relevant for multicurrency orgs\n\nMaps the following in Revenova TMS:\n- Vendor Invoice (object) -> Currency ISO Code (field)\n- Vendor Invoice Accessorial (object) -> Currency ISO Code (field)\n" }, "invoiceDate": { "type": "string", "example": "2025-09-22", "format": "date", "description": "The date the invoice was created.\n\nFormat must be YYYY-MM-DD.\n\nMaps to Vendor Invoice (object) -> Invoice Date (field) in Revenova TMS.\n" }, "invoiceDueDate": { "type": "string", "example": "2025-10-07", "format": "date", "description": "The date the invoice payment is due.\n\nFormat must be YYYY-MM-DD.\n\nMaps to Vendor Invoice (object) -> Invoice Due Date (field) in Revenova TMS.\n" }, "originName": { "type": "string", "example": "Revenova HQ", "maxLength": 80, "description": "The name of the origin location for the shipment.\n\nMaps to Vendor Invoice (object) -> Origin Name (field) in Revenova TMS.\n" }, "originStreet": { "type": "string", "example": "2333 Waukegan Rd.", "maxLength": 255, "description": "The street address of the origin location for the shipment.\n\nMaps to Vendor Invoice (object) -> Origin Street (field) in Revenova TMS.\n" }, "originCity": { "type": "string", "example": "Bannockburn", "maxLength": 40, "description": "The city of the origin location for the shipment.\n\nMaps to Vendor Invoice (object) -> Origin City (field) in Revenova TMS.\n" }, "originState": { "$ref": "#/components/schemas/state" }, "originPostalCode": { "type": "string", "example": "60015", "maxLength": 20, "description": "The postal code of the origin location for the shipment.\n\nMaps to Vendor Invoice (object) -> Origin Postal Code (field) in Revenova TMS.\n" }, "originCountry": { "$ref": "#/components/schemas/country" }, "destinationName": { "type": "string", "example": "Boston Beans", "maxLength": 80, "description": "The name of the destination location for the shipment.\n\nMaps to Vendor Invoice (object) -> Destination Name (field) in Revenova TMS.\n" }, "destinationStreet": { "type": "string", "example": "526 Beacon Street", "maxLength": 255, "description": "The street address of the destination location for the shipment.\n\nMaps to Vendor Invoice (object) -> Destination Street (field) in Revenova TMS.\n" }, "destinationCity": { "type": "string", "example": "Boston", "maxLength": 40, "description": "The city of the destination location for the shipment.\n\nMaps to Vendor Invoice (object) -> Destination City (field) in Revenova TMS.\n" }, "destinationState": { "$ref": "#/components/schemas/state" }, "destinationPostalCode": { "type": "string", "example": "02215", "maxLength": 20, "description": "The postal code of the destination location for the shipment.\n\nMaps to Vendor Invoice (object) -> Destination Postal Code (field) in Revenova TMS.\n" }, "destinationCountry": { "$ref": "#/components/schemas/country" }, "ultimateShipperName": { "type": "string", "example": "Revenova HQ", "maxLength": 80, "description": "The name of the ultimate shipper for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Shipper Name (field) in Revenova TMS.\n" }, "ultimateShipperStreet": { "type": "string", "example": "2555 Waukegan Rd.", "maxLength": 255, "description": "The street address of the ultimate shipper for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Shipper Street (field) in Revenova TMS.\n" }, "ultimateShipperCity": { "type": "string", "example": "Bannockburn", "maxLength": 40, "description": "The city of the ultimate shipper for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Shipper City (field) in Revenova TMS.\n" }, "ultimateShipperState": { "$ref": "#/components/schemas/state" }, "ultimateShipperPostalCode": { "type": "string", "example": "60015", "maxLength": 20, "description": "The postal code of the ultimate shipper for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Shipper Postal Code (field) in Revenova TMS.\n" }, "ultimateShipperCountry": { "$ref": "#/components/schemas/country" }, "ultimateConsigneeName": { "type": "string", "example": "Boston Beans", "maxLength": 80, "description": "The name of the ultimate consignee for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Consignee Name (field) in Revenova TMS.\n" }, "ultimateConsigneeStreet": { "type": "string", "example": "526 Beacon Street", "maxLength": 255, "description": "The street address of the ultimate consignee for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Consignee Street (field) in Revenova TMS.\n" }, "ultimateConsigneeCity": { "type": "string", "example": "Boston", "maxLength": 40, "description": "The city of the ultimate consignee for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Consignee City (field) in Revenova TMS.\n" }, "ultimateConsigneeState": { "$ref": "#/components/schemas/state" }, "ultimateConsigneePostalCode": { "type": "string", "example": "02219", "maxLength": 20, "description": "The postal code of the ultimate consignee for the shipment.\n\nMaps to Vendor Invoice (object) -> Ultimate Consignee Postal Code (field) in Revenova TMS.\n" }, "ultimateConsigneeCountry": { "$ref": "#/components/schemas/country" }, "carrierBillToName": { "type": "string", "example": "Email Carrier One", "maxLength": 80, "description": "The name of the carrier bill-to party for the invoice.\n\nMaps to Vendor Invoice (object) -> Carrier Bill To Name (field) in Revenova TMS.\n" }, "carrierBillToStreet": { "type": "string", "example": "1526 Beacon Street", "maxLength": 255, "description": "The street address of the carrier bill-to party for the invoice.\n\nMaps to Vendor Invoice (object) -> Carrier Bill To Street (field) in Revenova TMS.\n" }, "carrierBillToCity": { "type": "string", "example": "Boston", "maxLength": 40, "description": "The city of the carrier bill-to party for the invoice.\n\nMaps to Vendor Invoice (object) -> Carrier Bill To City (field) in Revenova TMS.\n" }, "carrierBillToState": { "$ref": "#/components/schemas/state" }, "carrierBillToPostalCode": { "type": "string", "example": "02219", "maxLength": 20, "description": "The postal code of the carrier bill-to party for the invoice.\n\nMaps to Vendor Invoice (object) -> Carrier Bill To Postal Code (field) in Revenova TMS.\n" }, "carrierBillToCountry": { "$ref": "#/components/schemas/country" }, "charges": { "type": "array", "description": "The list of charges associated with this invoice.\n\nRequires 1-to-many charges.\n", "items": { "type": "object", "description": "A line item charge on the invoice.", "required": [ "type", "amount" ], "properties": { "type": { "type": "string", "description": "The type of charge (e.g., Line Haul, Fuel, Accessorial).", "enum": [ "Line Haul", "Fuel", "Accessorial" ] }, "description": { "type": "string", "example": "Lift Gate Delivery", "maxLength": 80, "description": "A description of the accessorial name, if applicable." }, "qty": { "type": "number", "example": 1200, "description": "The quantity associated with the charge.\n\nFormat can have up to 2 decimal places and 16 total digits (including the decimal places).\n\nMaps to Vendor Invoice Accessorial (object) -> Quantity (field) in Revenova TMS.\n" }, "rateType": { "type": "string", "description": "The type of rate applied to the charge (e.g., Fixed Cost, Per Mile).\n\nMaps to one of the following in Revenova TMS based on the charge type:\n- Line Haul: Vendor Invoice (object) -> Freight Charge Unit (field)\n- Fuel: Vendor Invoice (object) -> Fuel Surcharge Unit (field)\n- Accessorial: Vendor Invoice Accessorial (object) -> Unit (field)\n\nFuel charges only support Fixed Cost, Per Mile, Per Kilometer, and Percent of Freight.\nLine Haul and Accessorial charges support every value except Percent of Freight.\n", "enum": [ "Fixed Cost", "Percent of Amount", "Percent of Freight", "Per Cubic Foot", "Per Cubic Meter", "Per Cwt", "Per Day", "Per Equipment Type", "Per Gallon", "Per Handling Unit", "Per Hour", "Per HU Position", "Per Kilogram", "Per Kilometer", "Per Linear Foot", "Per Liter", "Per Mile", "Per Packaging Unit", "Per Pound", "Per Square Foot", "Per Square Meter", "Per Stop", "Per Ton", "Per Volume Unit" ] }, "rate": { "type": "number", "example": 1, "description": "The rate applied to the charge.\n\nFormat can have up to 2 decimal places and 10 total digits (including the decimal places).\n\nMaps to Vendor Invoice Accessorial (object) -> Unit Price (field) in Revenova TMS.\n" }, "amount": { "type": "number", "example": 1200, "description": "The total amount for the charge.\n\nFormat can have up to 2 decimal places and 16 total digits (including the decimal places).\n\nMaps to one of the following in Revenova TMS based on the charge type:\n- Line Haul: Vendor Invoice (object) -> Freight Charges (field)\n- Fuel: Vendor Invoice (object) -> Fuel Surcharge (field)\n- Accessorial: Vendor Invoice Accessorial (object) -> Charge (field)\n" }, "stopNum": { "type": "number", "example": 2, "description": "The stop number associated with the charge, if applicable.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" } } }, "example": [ { "amount": 1200, "description": "Net Line Haul", "qty": 1200, "rate": 1, "rateType": "Per Mile", "type": "Line Haul" }, { "amount": 300, "description": "Fuel Surcharge", "qty": 1200, "rate": 0.25, "rateType": "Per Mile", "type": "Fuel" }, { "amount": 75, "description": "After Hours Delivery", "qty": 1, "rate": 75, "rateType": "Fixed Cost", "stopNum": 2, "type": "Accessorial" } ] }, "items": { "type": "array", "description": "The list of items associated with this invoice.\n\nRequires 1-to-many items.\n", "items": { "type": "object", "description": "A line item on the invoice.", "properties": { "description": { "type": "string", "example": "Commodity AAA", "maxLength": 255, "description": "A description of the item.\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Item Description (field) in Revenova TMS.\n" }, "freightClass": { "type": "string", "description": "The freight class of the item.\n\nMaps to Vendor Invoice Freight Charge Item (object) -> NMFC Class (field) in Revenova TMS.\n", "enum": [ "50", "55", "60", "65", "70", "77.5", "85", "92.5", "100", "110", "125", "150", "175", "200", "250", "300", "400", "500" ] }, "quantity": { "type": "number", "example": 10, "description": "The quantity of the item.\n\nFormat can have up to 2 decimal places and 16 total digits (including the decimal places).\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Quantity (field) in Revenova TMS.\n" }, "rate": { "type": "number", "example": 0.25, "description": "The rate for the item.\n\nFormat can have up to 2 decimal places and 10 total digits (including the decimal places).\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Rate (field) in Revenova TMS.\n" }, "rateType": { "type": "string", "description": "The type of rate applied to the item (e.g., Per Mile, Per Pound).\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Unit (field) in Revenova TMS.\n", "enum": [ "Fixed Cost", "Percent of Amount", "Per Cubic Foot", "Per Cubic Meter", "Per Cwt", "Per Day", "Per Equipment Type", "Per Gallon", "Per Handling Unit", "Per Hour", "Per HU Position", "Per Kilogram", "Per Kilometer", "Per Linear Foot", "Per Liter", "Per Mile", "Per Packaging Unit", "Per Pound", "Per Square Foot", "Per Square Meter", "Per Stop", "Per Ton", "Per Volume Unit" ] }, "amount": { "type": "number", "example": 100, "description": "The total amount for the item.\n\nFormat can have up to 2 decimal places and 16 total digits (including the decimal places).\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Freight Charge (field) in Revenova TMS.\n" }, "weight": { "type": "number", "example": 100, "format": "integer", "description": "The weight of the item.\n\nFormat can have up 18 total digits.\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Weight (field) in Revenova TMS.\n" }, "weightUnits": { "type": "string", "example": "lbs", "description": "The weight units for the item (e.g., lbs, kg).\n\nMaps to Vendor Invoice Freight Charge Item (object) -> Weight Units (field) in Revenova TMS.\n" } } }, "example": [ { "amount": 100, "description": "Commodity AAA", "freightClass": "50", "quantity": 10, "rate": 0.25, "rateType": "Per Mile", "weight": 100, "weightUnits": "lbs" } ] } } }, "inboundEdi214": { "type": "object", "description": "Inbound EDI 214 Shipment Status Message from Carrier to Shipper/3PL.\n\nAlso handles Inbound EDI 322 Delivery Appointment Status Message from Carrier to Shipper/3PL.\n", "required": [ "carrierTradingPartnerId", "shipmentId" ], "properties": { "carrierTradingPartnerId": { "type": "string", "example": "EDIC1", "maxLength": 80, "description": "The EDI Trading Partner ID of the Carrier sending the shipment status.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "shipmentId": { "type": "string", "example": "12345", "maxLength": 80, "description": "The unique identifier for the shipment this status is associated with.\n\nMaps to Load (object) -> Load Number (field) in Revenova TMS.\n" }, "stopNumber": { "type": "number", "format": "integer", "example": 2, "description": "The stop number on the load this status is associated with.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" }, "eventCode": { "type": "string", "description": "The event code representing the type of shipment status event. Affects stop status.\n", "enum": [ "X3", "AF", "I1", "RL", "RA", "RD", "AG", "X6", "AR", "UR", "NT", "OA", "X1", "S1", "D1", "CD", "TA", "A", "AL", "Z", "D", "J", "P", "B", "CB", "CC", "AD", "NF", "I", "T", "TM", "L", "R", "XA", "RN", "G", "S", "VA", "VD", "W" ] }, "eventDetail": { "type": "string", "example": "This is the detail", "maxLength": 255, "description": "Additional details about the event.\n\nMaps to Load (object) -> Load Status Comments (field) in Revenova TMS\n" }, "eventDate": { "type": "string", "format": "date", "example": "2025-07-04", "description": "The date the event occurred.\n\nFormat is YYYY-MM-DD.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Carrier ETA Date (field) for estimated events\n- Stop (object) -> Arrival Date (field) for arrival events\n- Stop (object) -> Departure Date (field) for departure events\n" }, "eventTime": { "type": "string", "example": "08:30", "description": "The time the event occurred.\n\nFormat is HH:MM in 24-hour time.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Carrier ETA Time (field) for estimated events\n- Stop (object) -> Arrival Time (field) for arrival events\n- Stop (object) -> Departure Time (field) for departure events\n" }, "eventTimeZone": { "type": "string", "example": "LT", "description": "The time zone of the event time.\n\nLT = Local Time\n" }, "eventCity": { "type": "string", "example": "Boston", "maxLength": 40, "description": "The city where the event occurred.\n\nMaps to Load (object) -> Last Reported City (field) in Revenova TMS.\n" }, "eventState": { "$ref": "#/components/schemas/state" }, "eventZip": { "type": "string", "example": "60603", "description": "The postal code where the event occurred.\n" }, "eventCountry": { "$ref": "#/components/schemas/country" }, "latitude": { "type": "number", "example": 47.5292773045995, "description": "The latitude coordinate where the event occurred.\n\nMaps to Load (object) -> Last Reported Geolocation (field) in Revenova TMS.\n" }, "longitude": { "type": "number", "example": -87.20153829304499, "description": "The longitude coordinate where the event occurred.\n\nMaps to Load (object) -> Last Reported Geolocation (field) in Revenova TMS.\n" }, "containerNumber": { "type": "string", "example": "MAEU1234567", "maxLength": 80, "description": "The container number associated with this shipment status.\n\nMaps to Load (object) -> Container/Trailer Number (field) in Revenova TMS.\n" }, "proNumber": { "type": "string", "example": "PRO1234567", "maxLength": 40, "description": "The PRO Number associated with this shipment status.\n\nMaps to Load (object) -> PRO Number (field) in Revenova TMS.\n" }, "waybillNumber": { "type": "string", "example": "45678910", "maxLength": 40, "description": "The Waybill Number associated with this shipment status.\n\nMaps to Load (object) -> Waybill Number (field) in Revenova TMS.\n" }, "bookingNumber": { "type": "string", "example": "1234672137", "maxLength": 30, "description": "The Booking Number associated with this shipment status.\n\nMaps to Load (object) -> Booking Number (field) in Revenova TMS.\n" }, "sealNumber": { "type": "string", "example": "2372499345", "maxLength": 15, "description": "The Seal Number associated with this shipment status.\n\nMaps to Load (object) -> Seal Number (field) in Revenova TMS.\n" } } }, "inboundEdi990": { "type": "object", "description": "Inbound EDI 990 Load Tender Acknowledgment from Carrier to Shipper/3PL.\n\nAlso handles inbound EDI 824 Load Tender Acknowledgment from Carrier to Shipper/3PL.\n", "required": [ "carrierTradingPartnerId", "shipmentId" ], "properties": { "carrierTradingPartnerId": { "type": "string", "example": "EDIC1", "maxLength": 80, "description": "The EDI Trading Partner ID of the Carrier sending the load tender acknowledgment.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "shipmentId": { "type": "string", "example": "12345", "maxLength": 80, "description": "The unique identifier for the shipment this load tender acknowledgment is for.\n\nMaps to Load (object) -> Load Number (field) in Revenova TMS.\n" }, "status": { "type": "string", "example": "Accept", "description": "The status of the load tender acknowledgment: accept or decline. Treated as decline if not populated.\n", "enum": [ "Accept", "Accept with Exception", "Decline" ] }, "waybillNumber": { "type": "string", "example": "WAY12345", "maxLength": 40, "description": "The Waybill Number assigned by the carrier for the load.\n\nMaps to Load (object) -> Waybill Number (field) in Revenova TMS.\n" }, "bookingNumber": { "type": "string", "example": "Booking12345", "maxLength": 30, "description": "The Booking Number assigned by the carrier for the load.\n\nMaps to Load (object) -> Booking Number (field) in Revenova TMS.\n" }, "tenderDeclinedReasonCodes": { "type": "array", "description": "A list of reason codes for declining the load tender.", "items": { "type": "string", "example": "ASV", "description": "The reason code for declining the load tender.\n\nMaps to Carrier Quote (object) -> Tender Declined Reasons (field) in Revenova TMS.\n", "enum": [ "827", "828", "137", "ASA", "AVE", "ASV", "NOC", "RTN", "2", "1", "CHK", "847", "114", "COV", "819", "820", "821", "849", "129", "CAL", "28", "27", "26", "29", "DDT", "6", "815", "3", "DBL", "111", "DRC", "119", "121", "817", "DUP", "101", "810", "Equipment Breakdown", "Equipment No Longer Available", "142", "102", "INC", "848", "DTE", "126", "833", "ICG", "ICA", "12", "4", "CUR", "LOC", "SEV", "TYP", "9", "802", "IDC", "IDN", "MU", "MS", "IID", "IQT", "IMD", "832", "SCA", "36", "RTE", "SPL", "122", "123", "INF", "NIF", "STR", "UNP", "VIN", "SCD", "IWT", "104", "105", "106", "133", "108", "500", "115", "818", "7", "MDN", "805", "809", "MT", "MR", "MID", "128", "110", "124", "MC", "MM", "831", "C", "ME", "MH", "834", "806", "D", "MF", "MD", "134", "O", "Q", "P", "107", "F", "E", "MP", "MQ", "807", "K", "813", "N", "804", "803", "B", "G", "MB", "J", "808", "A", "MI", "ML", "MK", "140", "I", "MA", "M", "R", "L", "MJ", "801", "MG", "MN", "H", "139", "V", "U", "S", "112", "113", "MQT", "812", "MWT", "MBL", "109", "NCL", "NCR", "NDP", "826", "NRA", "RAT", "NAU", "NDT", "11", "NOD", "VOS", "ZZZ", "24", "OTH", "8", "W", "829", "825", "824", "823", "811", "PND", "PPD", "PRM", "NRS", "141", "138", "POI", "HUG", "HUL", "QTY", "RU", "814", "136", "830", "116", "5", "117", "118", "STA", "STP", "120", "IPR", "10", "822", "TRN", "130", "T", "UCN", "UKN", "UNV", "125", "UAU", "VND", "ZDS", "131" ] } }, "tenderDeclinedComments": { "type": "string", "example": "Invalid load for some reason", "maxLength": 255, "description": "Additional comments regarding the load tender decline.\n\nMaps to Carrier Quote (object) -> Tender Declined Comments (field) in Revenova TMS.\n" }, "tenderExceptionComments": { "type": "string", "example": "Encountered an issue processing", "maxLength": 255, "description": "Additional comments regarding the load tender exception.\n\nMaps to Carrier Quote (object) -> Tender Exception Comments (field) in Revenova TMS.\n" } } }, "volumeUnits": { "type": "string", "description": "The type of volume unit.\n\nList of payload schemas and their possible maps to Revenova TMS fields:\n- inboundEdi204:\n - Load (object) -> Volume Units (field)\n - Line Item (object) -> Volume Units (field)\n- outboundEdi204:\n - Load (object) -> Volume Units (field)\n - Line Item (object) -> Volume Units (field)\n- outboundEdi214:\n - Load (object) -> Volume Units (field)\n - Line Item (object) -> Volume Units (field)\n- outboundEdi210:\n - Load (object) -> Volume Units (field)\n - Line Item (object) -> Volume Units (field)\n", "enum": [ "Cubic Feet", "Cubic Inches", "Cubic Meters", "Cubic Centimeters", "Gallons", "Liters" ], "example": "Cubic Feet" }, "handlingUnits": { "type": "string", "description": "The type of handling unit.\n\nMaps to Line Item (object) -> Handling Units (field) in Revenova TMS for the following payload schemas:\n- inboundEdi204\n- outboundEdi204\n- outboundEdi214\n- outboundEdi210\n", "enum": [ "Bags", "Bales", "Barrels", "Baskets", "Bins", "Bottles", "Boxes", "Bundles", "Canisters", "Carboys", "Cartons", "Cases", "Coils", "Containers", "Crates", "Cylinders", "Drums", "Kegs", "Other", "Packages", "Pallets", "Pieces", "Reels", "Rolls", "Skids", "Spools", "Tanks", "Trays", "Truckloads", "Tubes", "Units", "Vats" ], "example": "Boxes" }, "packagingUnits": { "type": "string", "description": "The type of packaging unit.\n\nMaps to Line Item (object) -> Packaging Units (field) in Revenova TMS for the following payload schemas:\n- inboundEdi204\n- outboundEdi204\n- outboundEdi214\n- outboundEdi210\n", "enum": [ "Bags", "Bales", "Barrels", "Baskets", "Bins", "Bottles", "Boxes", "Bundles", "Canisters", "Carboys", "Cartons", "Cases", "Coils", "Containers", "Crates", "Cylinders", "Drums", "Kegs", "Other", "Packages", "Pallets", "Pieces", "Reels", "Rolls", "Skids", "Spools", "Tanks", "Trays", "Truckloads", "Tubes", "Units", "Vats" ], "example": "Boxes" }, "state": { "type": "string", "description": "US, CA, or MX State/Province Abbreviation. Include the country code to distinguish between same-named states/provinces in different countries.\n\nList of payload schemas and their possible maps to Revenova TMS fields:\n- inboundEdi214:\n - Load (object) -> Last Reported State/Province (field)\n- inboundEdi210:\n - Vendor Invoice (object) -> Origin State (field)\n - Vendor Invoice (object) -> Destination State (field)\n - Vendor Invoice (object) -> Ultimate Shipper State (field)\n - Vendor Invoice (object) -> Ultimate Consignee State (field)\n - Vendor Invoice (object) -> Carrier Bill To State (field)\n", "enum": [ "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "IA", "ID", "IL", "IN", "KS", "KY", "LA", "MA", "MD", "ME", "MI", "MN", "MO", "MS", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "PR", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WI", "WV", "WY", "AG", "BS", "CM", "CH", "CS", "CL", "DF", "DG", "GT", "GR", "HG", "JA", "NA", "OA", "PB", "QE", "QR", "SL", "SI", "SO", "TB", "TM", "TL", "VE", "YU", "ZA", "AB", "BC", "MB", "NB", "NL", "NS", "NT", "NU", "ON", "PE", "QC", "SK", "YT" ], "example": "IL" }, "country": { "type": "string", "description": "Country Code ISO 3166-1 alpha-2 (two-letters)\n\nList of payload schemas and their possible maps to Revenova TMS fields:\n- inboundEdi214:\n - Load (object) -> Last Reported Country (field)\n- inboundEdi210:\n - Vendor Invoice (object) -> Origin Country (field)\n - Vendor Invoice (object) -> Destination Country (field)\n - Vendor Invoice (object) -> Ultimate Shipper Country (field)\n - Vendor Invoice (object) -> Ultimate Consignee Country (field)\n - Vendor Invoice (object) -> Carrier Bill To Country (field)\n", "enum": [ "US", "CA", "MX" ], "example": "US" } }, "securitySchemes": { "OAuth2ClientCredentials": { "type": "oauth2", "description": "OAuth 2.0 Client Credentials flow for server-to-server communication.", "flows": { "clientCredentials": { "tokenUrl": "/services/oauth2/token", "scopes": {} } } } } } } ````